## imcode.server.document
Class RoleIdToDocumentPermissionSetTypeMappings

    java.lang.Object
      imcode.server.document.RoleIdToDocumentPermissionSetTypeMappings

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class RoleIdToDocumentPermissionSetTypeMappings

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` `RoleIdToDocumentPermissionSetTypeMappings.Mapping`

Constructor Summary
`RoleIdToDocumentPermissionSetTypeMappings()`

Method Summary
`protected RoleIdToDocumentPermissionSetTypeMappings` `clone()`
`RoleIdToDocumentPermissionSetTypeMappings.Mapping[]` `getMappings()`
`DocumentPermissionSetTypeDomainObject` `getPermissionSetTypeForRole(RoleId roleId)`
`void` `setPermissionSetTypeForRole(RoleId roleId, DocumentPermissionSetTypeDomainObject documentPermissionSetType)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleIdToDocumentPermissionSetTypeMappings

    public RoleIdToDocumentPermissionSetTypeMappings()

Method Detail

### clone

    protected RoleIdToDocumentPermissionSetTypeMappings clone()

  Overrides:
    `clone` in class `java.lang.Object`

### setPermissionSetTypeForRole

    public void setPermissionSetTypeForRole(RoleId roleId,
                                            DocumentPermissionSetTypeDomainObject documentPermissionSetType)

### getPermissionSetTypeForRole

    public DocumentPermissionSetTypeDomainObject getPermissionSetTypeForRole(RoleId roleId)

### getMappings

    public RoleIdToDocumentPermissionSetTypeMappings.Mapping[] getMappings()